[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[augeas-devel] perl-Config-Augeas: augeas version check



Hi,

this was reported on CPAN tracker as [rt.cpan.org #75285], copying
here to get attention.
I've pushed this patch to Fedora Rawhide for now.

Cheers,
Alan

-------------------------------------------------------------------------
Trying to build Config-Augeas-0.902 with augeas-devel-0.10.0-3.fc16.x86_64
fails with:
*** 'pkg-config' did find augeas version 0.10.0 but
*** version 0.9.0 minimum is required

Version check in Build.PL is:
if (   not defined $aug_version or ( $aug_version lt $min_version)) {

Proposed fix:
--- Build.PL.orig       2011-11-04 10:02:47.000000000 +0100
+++ Build.PL    2012-02-24 22:09:42.799289631 +0100
@@ -18,6 +18,7 @@

 use Module::Build;

+use version 0.77;
 use warnings FATAL => qw(all) ;
 use strict ;

@@ -57,7 +58,7 @@

 my $min_version = '0.9.0' ;

-if (   not defined $aug_version or ( $aug_version lt $min_version)) {
+if (   not defined $aug_version or ( version->parse($aug_version) <
version->parse($min_version))) {
    warn << "EOW2" ;
 ***
 *** 'pkg-config' did find augeas version $aug_version but



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]